Package org.stianloader.picoresolve

# Class DependencyLayer

java.lang.Object
org.stianloader.picoresolve.DependencyLayer

public class DependencyLayer extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DependencyLayer.DependencyEdge`
`static class`
`DependencyLayer.DependencyLayerElement`

## Field Summary

Fields
Modifier and Type
Field
Description
`final @NotNull List<DependencyLayer.DependencyLayerElement>`
`elements`
`final @Nullable DependencyLayer`
`parent`

## Constructor Summary

Constructors
Constructor
Description
`DependencyLayer(@Nullable DependencyLayer parent, @NotNull List<DependencyLayer.DependencyLayerElement> elements)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable DependencyLayer`
`getChild()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### parent

@Nullable public final @Nullable DependencyLayer parent

### elements

@NotNull public final @NotNull List<DependencyLayer.DependencyLayerElement> elements

## Constructor Details

### DependencyLayer

public DependencyLayer(@Nullable @Nullable DependencyLayer parent, @NotNull @NotNull List<DependencyLayer.DependencyLayerElement> elements)

## Method Details

### getChild

@Contract(pure=true) @Nullable public @Nullable DependencyLayer getChild()